package onpoint

import "time"

// CreateOrderResponse ...
type CreateOrderResponse struct {
	OrderCode        string      `json:"order_code"`
	OnpointOrderCode string      `json:"onpoint_order_code"`
	OrderDate        string      `json:"order_date"`
	Note             string      `json:"note"`
	SubtotalPrice    int         `json:"subtotal_price"`
	TotalDiscounts   int         `json:"total_discounts"`
	TotalPrice       int         `json:"total_price"`
	PaymentMethod    string      `json:"payment_method"`
	DeliveryPlatform string      `json:"delivery_platform"`
	Status           string      `json:"status"`
	UpdatedAt        string      `json:"updated_at"`
	Items            []OrderItem `json:"items"`
}

// UpdateOrderDeliveryResponse ...
type UpdateOrderDeliveryResponse struct {
	DeliveryPlatform       string `json:"delivery_platform"`
	DeliveryTrackingNumber string `json:"delivery_tracking_number"`
	ShippingLabel          string `json:"shipping_label"`
}

// CancelOrderResponse ...
type CancelOrderResponse struct {
	OrderNo string `json:"order_no"`
	Status  string `json:"status"`
}

// ChannelResponse ...
type ChannelResponse struct {
	Code string `json:"code"`
	Name string `json:"name"`
}

type ListInventoriesRes struct {
	Code string `json:"code"`
	Data struct {
		Entries      []InventoryEntry `json:"entries"`
		Page         int              `json:"page"`
		Size         int              `json:"size"`
		TotalEntries int              `json:"total_entries"`
		TotalPages   int              `json:"total_pages"`
	} `json:"data"`
}

type InventoryEntry struct {
	AvailableQuantity int       `json:"available_quantity"`
	PickupLocation    Pickup    `json:"pickup_location"`
	Product           Product   `json:"product"`
	UpdatedAt         time.Time `json:"updated_at"`
}

type Product struct {
	Name          string      `json:"name"`
	OriginalPrice int         `json:"original_price"`
	SellingPrice  int         `json:"selling_price"`
	Sku           string      `json:"sku"`
	Uom           interface{} `json:"uom"`
}

type Pickup struct {
	Code string `json:"code"`
	Name string `json:"name"`
}
