package viettelffm

type AuthRes struct {
	AccessToken      string `json:"access_token"`
	ExpiresIn        int    `json:"expires_in"`
	RefreshExpiresIn int    `json:"refresh_expires_in"`
	RefreshToken     string `json:"refresh_token"`
	TokenType        string `json:"token_type"`
	NotBeforePolicy  int    `json:"not-before-policy"`
	SessionState     string `json:"session_state"`
	Scope            string `json:"scope"`
}

type UpdateLogisticInfoPayload struct {
	PrintLabelLink string `json:"print_label_link"`
	TrackingCode   string `json:"tracking_code"`
}

type CancelORPayload struct {
	OrID int `json:"or_id"`
}

type ORPayload struct {
	OrProductLines []ORProductLine `json:"or_product_lines"`
	AmountPaid     float64         `json:"amount_paid"`
	CodAmount      float64         `json:"cod_amount"`
	CodType        string          `json:"cod_type"`
	Note           string          `json:"note"`
	OrCode         string          `json:"or_code"`
	OrType         string          `json:"or_type"`
	ShippingType   string          `json:"shipping_type"`
	CustomerName   string          `json:"customer_name"`
	CustomerEmail  string          `json:"customer_email"`
	PackType       string          `json:"pack_type"`
	PriorityType   string          `json:"priority_type"`
	Warehouse      ORWarehouse     `json:"warehouse"`
}

type ORProductLine struct {
	Discount             float64              `json:"discount"`
	Price                float64              `json:"price"`
	Product              Product              `json:"product"`
	Quantity             int                  `json:"quantity"`
	SpecifiedProductLine SpecifiedProductLine `json:"specified_product_line"`
	Unit                 string               `json:"unit"`
}

type SpecifiedProductLine struct {
	ProductConditionType ProdCondType `json:"product_condition_type"`
}

type Product struct {
	PartnerSku string `json:"partner_sku"`
	SKU        string `json:"sku"`
}

type ProdCondType struct {
	Name string `json:"name"`
}

type ORWarehouse struct {
	WarehouseId int `json:"warehouse_id"`
}

type ORResult struct {
	OrCode string `json:"or_code"`
	OrId   int    `json:"or_id"`
	Status string `json:"status"`
}
